###############################################################################
#                                                                             #
# SalesforceConnector                                                         #
# Copyright(C), 2006, Plone Foundation - ALL RIGHTS RESERVED                  #
#                                                                             #
# This software is licensed under the Terms and Conditions contained within   #
# the License.txt file that accompanied this software.  Any inquiries         #
# concerning the scope or enforceability of the license should be addressed   #
# to:                                                                         #
#                                                                             #
# Plone Foundation                                                            #
# 4617 Montrose Blvd., Suite C215                                             #
# Houston, Texas 77006 USA                                                    #
# p. +1 713.942.2377 | f. +1 832.201.8856                                     #
# www.enfoldsystems.com                                                       #
# info@enfoldsystems.com                                                      #
#                                                                             #
###############################################################################


from AccessControl.Permissions import add_user_folders
from plugin import SalesforceConnector, SalesforceConnectorAddForm
from plugin import manage_addSalesforceConnector

from Products.PluggableAuthService.PluggableAuthService import \
        registerMultiPlugin

# bootstrap interfaces
import interfaces as _interfaces
del _interfaces

def initialize(context):

    registerMultiPlugin(SalesforceConnector.meta_type)
    context.registerClass(SalesforceConnector,
            permission = add_user_folders,
            constructors = (SalesforceConnectorAddForm,
                    manage_addSalesforceConnector),
            visibility = None
            )
